<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myVehicleSalesOrderLabel" jhiTranslate="mpmApp.vehicleSalesOrder.home.createOrEditLabel">Create or edit a Vehicle Sales Order</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>        
        <div class="form-group" [hidden]="!vehicleSalesOrder.idOrder" style="display: none;">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="idOrder" [(ngModel)]="vehicleSalesOrder.idOrder" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_billingNumber" jhiTranslate="mpmApp.vehicleSalesOrder.noIVU">Nomor IVU</label>
            <input type="text" class="form-control" name="billingNumber" id="field_billingNumber"
                disabled [(ngModel)]="vehicleSalesOrder.billingNumber" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_dateBilling" jhiTranslate="mpmApp.vehicleSalesOrder.dateIVU">Tanggal IVU</label>
            <input type="text" class="form-control" name="dateBilling" id="field_dateBilling"
                disabled  [(ngModel)]="vehicleSalesOrder.dateBilling" />
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_nilaiIVU" jhiTranslate="mpmApp.vehicleSalesOrder.valueIVU">Nilai IVU</label>
            <input type="text" class="form-control" name="nilaiIVU" currencyMask id="field_nilaiIVU"
                disabled [(ngModel)]="nilaiIVU" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_nilaiPO" jhiTranslate="mpmApp.vehicleSalesOrder.valuePO">Nilai PO</label>
            <input type="text" class="form-control" name="nilaiPO" id="field_nilaiPO" currencyMask
              disabled  [(ngModel)]="nilaiPO" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_requirementNumber">Nomor PO</label>
            <input type="text" class="form-control" name="requirementNumber" id="field_requirementNumber"
              [(ngModel)]="vehicleSalesOrder.salesUnitRequirement.poNumber" >
        </div>
        <div class="form-group">
            <label class="form-control-label" for="field_date_order" jhiTranslate="mpmApp.vehicleSalesOrder.datePO">Tanggal PO</label>
            <div class="input-group input-calendar">
                <p-calendar 
                    inputId="field_date_order" name="podate" 
                    [(ngModel)]="vehicleSalesOrder.salesUnitRequirement.podate" 
                    dateFormat="dd-mm-yy"
                    [monthNavigator]="true" 
                    [yearNavigator]="true" 
                    yearRange="2000:2030"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>                       
        <div class="form-group col-md-4">
            <p-checkbox name="input_BAST_Unit" label="Dok. BAST Unit" styleClass="form-check-input" binary="true" (click)="setBAST()" [(ngModel)]="checkedBASTUnit" ></p-checkbox>
        </div>
        <div class="form-group col-md-4">
            <p-checkbox name="input_Kuitansi_Tagihan" label="Kuitansi Tagihan" styleClass="form-check-input" binary="true" (click)="setKuitansi()" [(ngModel)]="checkedKuitansiTagihan" ></p-checkbox>
        </div>
        <div class="form-group col-md-4">
            <p-checkbox name="input_Gesekan" label="Gesekan NOKA dan NOSIN" styleClass="form-check-input" binary="true" (click)="setGesekan()" [(ngModel)]="checkedGesekan" ></p-checkbox>
        </div>
        <div class="form-group col-md-4">
            <p-checkbox name="input_Lampiran" label="Lampiran foto serah terima" styleClass="form-check-input" binary="true" (click)="setLampiran()" [(ngModel)]="checkedLampiran" ></p-checkbox>
        </div>
    
    <div class="form-group">
        <label class="form-control-label" for="field_vehicleNumber" jhiTranslate="mpmApp.vehicleSalesOrder.coverNote">Cover Note</label>        
        <div class="alert alert-secondary" role="alert">
            {{ cover | date: 'dd/MM/yyyy'}}
        </div>
        <a class="btn btn-primary" (click)="setCover(vehicleSalesOrder.billingNumber)" style="color: white">Cetak Cover Note</a>
    </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit"  [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
